Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 489922 - Portage should list the actual blocker against media-video/libav and not the first related virtual/ffmpeg dependency it can find.
Summary: Portage should list the actual blocker against media-video/libav and not the ...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL: http://forums.gentoo.org/viewtopic.ph...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-30 23:51 UTC by Tom Wijsman (TomWij) (RETIRED)
Modified: 2020-04-26 15:24 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-10-30 23:51:17 UTC
Actual output:
--------------

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-0.8.7::gentoo, installed) pulled in by
    >=media-video/libav-0.8.4[X?,encode?,gsm?,jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-0.8.4[X,encode,mp3,sdl,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-0.10.3::gentoo, installed)
    media-video/libav required by @selected

  (media-video/vlc-2.1.0::gentoo, ebuild scheduled for merge) pulled in by
    media-video/vlc required by @selected

Expected output:
----------------

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-0.8.7::gentoo, installed) pulled in by
    >=media-video/libav-0.8.4[X?,encode?,gsm?,jpeg2k?,mp3?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?] (>=media-video/libav-0.8.4[X,encode,mp3,sdl,threads,truetype,vaapi,vdpau,x264]) required by (virtual/ffmpeg-0.10.3::gentoo, installed)
    media-video/libav required by @selected

  (media-video/vlc-2.1.0::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/libav-9.11 required by media-video/vlc[vdpau] required by @selected

Revision:
---------

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-video/vlc/vlc-2.1.0.ebuild?revision=1.5&view=markup

Clarification:
--------------

The user haarp on the Gentoo forums was trying to emerge =media-video/vlc-2.1.0; but vlc has a blocker on that in case of USE="vdpau", because it fails to compile. So, in the second part of the conflict output instead of "media-video/vlc required by @selected" it would be more handy if it were to read something along the lines of ">=media-video/libav-9.11 required by media-video/vlc[vdpau] required by @selected".

Thank you very much in advance.
Comment 1 Robin Bankhead 2013-11-16 15:27:41 UTC
I think this might be better characterised as a general issue of portage, because it can affect probably any conflict that arises involving a virtual: the presence of the virtual in the conflict chain masks the real source of the problem.  It's a while ago now, but I'm pretty sure I had something similar happen with virtual/mysql.
Comment 2 Larry the Git Cow gentoo-dev 2020-04-26 15:24:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)